karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Resolved] (KARAF-2530) Build failure on Mac....
Date Sat, 26 Oct 2013 09:52:30 GMT

     [ https://issues.apache.org/jira/browse/KARAF-2530?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jean-Baptiste Onofré resolved KARAF-2530.
-----------------------------------------

    Resolution: Fixed

> Build failure on Mac....
> ------------------------
>
>                 Key: KARAF-2530
>                 URL: https://issues.apache.org/jira/browse/KARAF-2530
>             Project: Karaf
>          Issue Type: Bug
>            Reporter: Daniel Kulp
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 2.4.0, 3.0.0, 2.3.4
>
>
> Currently, the build fails on the Mac with Java 6.  Honestly, I have no idea why it works
on the other platforms. 
> On the Mac, the karaf-maven-plugin pulls in plexus-utils 1.5.10, but the plexus-io and
archiver that it pulls in requires 3.0 or newer.  Just updating the version for the plugin
fixes it:
> {code:text}
> diff --git a/tooling/karaf-maven-plugin/pom.xml b/tooling/karaf-maven-plugin/pom.xml
> index 079a13e..99f162f 100644
> --- a/tooling/karaf-maven-plugin/pom.xml
> +++ b/tooling/karaf-maven-plugin/pom.xml
> @@ -83,7 +83,7 @@
>          <dependency>
>              <groupId>org.codehaus.plexus</groupId>
>              <artifactId>plexus-utils</artifactId>
> -            <version>1.5.10</version>
> +            <version>3.0</version>
>          </dependency>
>          <dependency>
>              <groupId>org.apache.felix</groupId>
> {code}



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message